Bug 479560 - (CVE-2009-0135, CVE-2009-0136) CVE-2009-0135 CVE-2009-0136 amarok: multiple buffer overflows when parsing Audible .aa files
CVE-2009-0135 CVE-2009-0136 amarok: multiple buffer overflows when parsing Au...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
: 479946 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-11 05:46 EST by Tomas Hoger
Modified: 2010-04-22 13:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-22 13:36:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-01-11 05:46:50 EST
Tobias Klein discovered multiple buffer overflows in amarok in the Audible .aa files parser.

Fixed upstream in: 2.0.1.1

Upstream SVN commits:
http://websvn.kde.org/?view=rev&revision=908391 (trunk)
http://websvn.kde.org/?view=rev&revision=908401 (2.0.x)
http://websvn.kde.org/?view=rev&revision=908415 (1.4.x)
Comment 1 Tomas Hoger 2009-01-11 05:48:48 EST
Keeping this bug restricted for now, as upstream only plan to announce it later today.  Will add bug to already submitted update request once this is public.
Comment 3 Tomas Hoger 2009-01-14 03:59:30 EST
*** Bug 479946 has been marked as a duplicate of this bug. ***
Comment 4 Fedora Update System 2009-01-14 22:07:58 EST
amarok-2.0.1.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Tomas Hoger 2009-01-19 03:06:09 EST
Related CVE assignments:

CVE-2009-0135:
Multiple integer overflows in the Audible::Tag::readTag function in
metadata/audible/audibletag.cpp in Amarok 1.4.10 through 2.0.1 allow
remote attackers to execute arbitrary code via an Audible Audio (.aa)
file with a large (1) nlen or (2) vlen Tag value, each of which
triggers a heap-based buffer overflow.

CVE-2009-0136:
Multiple array index errors in the Audible::Tag::readTag function in
metadata/audible/audibletag.cpp in Amarok 1.4.10 through 2.0.1 allow
remote attackers to cause a denial of service (application crash) or
execute arbitrary code via an Audible Audio (.aa) file with a crafted
(1) nlen or (2) vlen Tag value, each of which can lead to an invalid
pointer dereference, or the writing of a 0x00 byte to an arbitrary
memory location, after an allocation failure.
Comment 6 Fedora Update System 2009-01-21 16:26:54 EST
amarok-1.4.10-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Vincent Danen 2010-04-22 13:36:58 EDT
This has also been corrected in EPEL5:

* Mon Jan 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.4.10-2
- backport security patch

Note You need to log in before you can comment on or make changes to this bug.